'''
Author: zeke-chin zeke-chin@icloud.com
Date: 2022-09-28 20:28:41
LastEditors: zeke-chin zeke-chin@icloud.com
LastEditTime: 2022-10-10 21:14:29
FilePath: /to_md/HR_OCR/to_md/use.py
Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
'''

from pathlib import Path

from new import MD, Image, Dataset, parser_path

# config
# 图片路径
image_path = Path('/Users/zeke/Downloads/户口本测试样本1011-常住人口页')
# 是否旋转
image_rotate = False
ocr_address = 'DXtest'  # 'local' 'TXtest' 'TXsb' 'DXtest' 'DXsb'

ocr_name = 'regbook'  # 'cet' 'idcard' 'bankcard' 'regbook' 'schoolcert' 'business_license'
md_name = 'RBook'
filed = 'regbook'

# 若md_path为None 则默认使用图片父路径为markdown保存路径
# md_path = '/Users/zeke/work/sx/OCR/HROCR/to_md/example' or image_path.parent
md_path = None or image_path.parent

md_file = parser_path(Path(md_path) / Path(md_name + image_path.stem), image_rotate)


if __name__ == '__main__':
    markdown = MD(md_file)

    dataset = Dataset(image_path, image_type, ocr_name, ocr_address, filed, image_rotate)
    print(len(dataset))
    for d in dataset():
        print(d)

    dataset.evaluate()
    print(dataset.accuracy)

    markdown.write_total_accuracy(dataset)
    markdown.write_table_accuracy(dataset)
    markdown.write_table_result(dataset)

    print(md_file)
    markdown.f.create_md_file()
