# 人力OCR

## 生成markdown测试报告脚本

1. 生成**目的文件夹**下图片的**json文件**

- **目的文件夹**: 
  - 存放所需测试**图片文件夹**
  - 对**文件夹**内图片进行标准化
    - 运行`suffix.py`脚本
    - 产生*.jpg
  - 生成<u>算法推理json文件</u>
    - 运行`convert_json.py`脚本
    - 产生对应jpg 文件的json文件
  - 修改<u>算法推理json文件</u>成**正确的json文件**

2. 跑生成md报告脚本

- 修改use.py 并运行

  ```python
  # config
  
  # 目的文件夹
  image_path = Path('/Users/zeke/work/sx/OCR/image_data/户口本9.30/0/img/')
  # 图片type(如果接口不存在传0不影响结果)
  image_type = 0
  # 是否旋转
  image_rotate = False
  
  # ocr地址选择
  # 本地环境、腾讯云测试环境、腾讯云生产环境、电信云测试环境、电信云生产环境
  ocr_address = 'local'  # 'local' 'TXtest' 'TXsb' 'DXtest' 'DXsb'
  # ocr能力选择
  ocr_name = 'regbook'  # 'cet' 'idcard' 'bankcard' 'regbook' 'schoolcert' 'business_license'
  # 生产MD文件名
  md_name = 'RegBook'
  # ocr能力对应字段（）
  filed = 'regbook'
  
  # 若md_path为None 则默认使用图片父路径为markdown保存路径
  # md_path = '/Users/zeke/work/sx/OCR/HROCR/utils/example' or image_path.parent
  md_path = None or image_path.parent
  ```

  